%global pkgname xhtml2pdf

Name:           python-xhtml2pdf
Version:        0.0.3
Release:        3%{?dist}
Summary:        HTML/CSS to PDF converter based on Python

# licensed under ASL 2.0 and BSD-License
# BSD licensed: xhtml2pdf/w3c/*
License:        ASL 2.0 and BSD
URL:            http://www.xhtml2pdf.com/
Source0:        http://pypi.python.org/packages/source/x/%{pkgname}/%{pkgname}-%{version}.tar.gz
#md5=13b0d6059b72c994473fddfa7a528451

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-coverage
BuildRequires:  python-nose
BuildRequires:  pyPdf

# required for testing:
BuildRequires:       python-reportlab
BuildRequires:       python-imaging
BuildRequires:       python-html5lib
BuildRequires:       python-httplib2

Requires:       pyPdf
Requires:       python-reportlab
Requires:       python-imaging

# removing will create rpmlint-false positive
# html5lib and httplib both are requires to work
Requires:       python-html5lib
Requires:       python-httplib2

%description
xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the HTML5lib 
and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS 3). It is completely
 written in pure Python so it is platform independent.

The main benefit of this tool that a user with Web skills like HTML and CSS 
is able to generate PDF templates very quickly without learning new 
technologies.


%prep
%setup -q -n %{pkgname}-%{version}

#strip shebang
sed -i '/^#!\/usr\/bin\/env python$/d' xhtml2pdf/w3c/*.py
sed -i '/^#!\/bin\/env\/python$/d' xhtml2pdf/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test
 
%files
%doc LICENSE.txt README.rst VERSION.txt MANIFEST.in
%{python_sitelib}/%{pkgname}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pkgname}/
%{_bindir}/pisa
%{_bindir}/%{pkgname}


%changelog
* Mon Feb 20 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.3-3
- fix tests to complete testing
- add comment about required html5lib and httplib2

* Mon Feb 13 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.3-2
- be more explicit in %%files-section

* Tue Feb 07 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.3-1
- initial packaging
